LINUX.ORG.RU

Android 7.0 на Nexus 5 (2013)

 , , ,


0

1

Собственно, 7.0 на старом Nexus 5, работает все. Официльной причиной отказа продолжать поодержку Nexus 5 (2013) стала не поддержка процессорами Snapdragon 800/801 API Vulcan. При этом даже на nexus 4 сделали полностью рабочий 7.0. Очень достовляют те кто купил шлак на медиатек и потом жалуются что производитель его не обновляет. Режим двухоконности тоже очень доставляет, будет полезен планшетам типа Nexus 9. Печально что после 5 нексуса так и не вышло больше ничего годного.

многоокооность шторка меню приложений лок скрин настройки

>>> Просмотр (1080x1920, 503 Kb)

★★★

Проверено: JB ()

Ответ на: комментарий от leave

прошил через фастбут тврп, закинул архив в память и прошил с вайпами, это же нексус. fastboot есть в пакете android-tool во всех основных дистрибутивах.

ilipnitsky ★★★ ()

Ковалкомы не нужны.
Хуже только взброадкомы

mittorn ★★★★★ ()

Зачем тебе в Беларуси нексус5? В РБ нет 4г

PavelRyzhov ()
Ответ на: комментарий от PavelRyzhov

есть, как у лайфа так и у мтс. Сейчас во все смарфтоны кладут 4г.

ilipnitsky ★★★ ()
Ответ на: комментарий от mittorn

Никто лучше их SoC'и не делает. А броадком то еще говно, искренне желаю им разорения.

ilipnitsky ★★★ ()

На скриншоте с многооконностью очень важный юзкейс — можно тыкать всякие переключатели настроек, присматривая за скриншотом десктопа

stayCivilized ()

Печально, что ты не слыхал ничего о Nexus 6P.

А по скриншоту - ничего удивительного. Разве что ты забыл прошивку написать.

У меня вот на 4м стоял последний раз свежий Параноид шестой версии, с андроидом 6.0.2. Но это было где-то месяц назад.

tekk ★★★★★ ()
Ответ на: комментарий от ilipnitsky

они уже перестали крашиться в ребут от бинарника, запущенного в юзерспейсе от непривелегированного пользователя?

mittorn ★★★★★ ()
Ответ на: комментарий от mittorn

не знаю о чем ты говоришь, видимо это что-то узко направленное, ненужное для обычного юзера.

ilipnitsky ★★★ ()
Ответ на: комментарий от ilipnitsky

Правда идиот или притворяешься? Обычный ELF, исполняющийся на Android не от рута.

DeadEye ★★★★★ ()
Ответ на: комментарий от DeadEye

Не идиот и не притваряюсь, было бы массовой проблемой давно пофиксили бы.

ilipnitsky ★★★ ()
Ответ на: комментарий от ilipnitsky

Ну стоит он 500$, в среднем, да. Что ж поделать, времена нынче такие. Один хрен это дешевле, чем какой-нибудь новый айфон.

Или он не может быть годным, если стоит 500$?

А вот 5Х вполне можно найти за 250$.

tekk ★★★★★ ()
Последнее исправление: tekk (всего исправлений: 1)
Ответ на: комментарий от ilipnitsky

ну например, при запуске exagear девайс уходит в ребут

А старые древние msmчто-то там с armv6 вообще при запуске любой glibc системы крашились (независимо от рута или нет)

mittorn ★★★★★ ()
Последнее исправление: mittorn (всего исправлений: 2)
Ответ на: комментарий от ilipnitsky

ну вроде частично пофиксили, однако, частично не считается. Могу поспосрить что если возьмёшь stage3 от gentoo, соберёшь mplayer в нём и запустишь через ld-linux.so.2 от простого пользователя, оно тоже ребутнется.

Разумеется, простому пользователю андройда это никак не мешает.

mittorn ★★★★★ ()

Официльной причиной отказа продолжать поодержку Nexus 5 (2013) стала не поддержка процессорами Snapdragon 800/801 API Vulcan.

А это требование?

a1batross ★★★★★ ()
Ответ на: комментарий от ilipnitsky

Qualcomm неосилили GLES1 драйвер сделать нормальным. В итоге то, что использует именно его нещадно тормозит даже на достаточно шустрых девайсах.

a1batross ★★★★★ ()
Ответ на: комментарий от a1batross

Косвенное, скорее всего просто не выгодно дальше продолжать, вот и все.

ilipnitsky ★★★ ()

А тем временем я свободно(с небольшим допилом) могу поставить на свой китайский телефон на медиатеке прошивку с другого аппарата если понравится. Медиатек рулит.

ozzee ()
Ответ на: комментарий от DeadEye

Расскажи нам, не идиот, когда лично ты сталкивался в последний раз с этой проблемой?

Deleted ()
Ответ на: комментарий от Deleted

Как может прошивальщег мобильников и вообще линуксоид (да таки ковырявшийся в системе хоть немного) не знать, что такое бинарник?

Что непонятного в словах «непривилегированный пользователь»?

Если он не понял, о чем тот говорит, то он каким-то ну очень странным макаром внезапно все забыл и затупил до безобразия.

Так яснее?

DeadEye ★★★★★ ()
Ответ на: комментарий от DeadEye

Я так понимаю, ответа на мой вопрос не будет.

Deleted ()
Ответ на: комментарий от DeadEye

бинарник и пользователь без рута - это понятно. Как с этим может столкнуться обычный пользователь?

ilipnitsky ★★★ ()
Ответ на: комментарий от ilipnitsky

не знаю о чем ты говоришь, видимо это что-то узко направленное
не знаю о чем ты говоришь

DeadEye ★★★★★ ()
Ответ на: комментарий от ozzee

Только все прошивки на похожих девайсах с мтк примерно одной версии.

Deleted ()
Ответ на: комментарий от DeadEye

Вангую, он имел в виду, что не знает о том, что Android вообще может

крашиться в ребут от бинарника, запущенного в юзерспейсе от непривелегированного пользователя

То бишь не знает об этой проблеме.

LordTermor ★★ ()
Ответ на: комментарий от Deleted

Портировать можно и новую версию если есть желание.

ozzee ()
Ответ на: комментарий от DeadEye

В нем нет необходимости

Вооооооооооооооот. В твоём изначальном комментарии — тоже

Deleted ()

типо Nexus 9

типо

убил бы

kott ★★★★★ ()

Все такое свободное... у меня ломка по гуглу и play маркету...

Venediktov ()

А что с сервисами гугла? Я без них никак. Вот думаю, шить или нет, так то все работает, но обидно, что кинули.

Sora ★★ ()
Ответ на: комментарий от Sora

Все нормально с ними, ставишь после прошивки и все работает.

ilipnitsky ★★★ ()

Собственно, 7.0 на старом Nexus 5, работает все.

ссылку не rom не увидел...

При этом даже на nexus 4 сделали полностью рабочий 7.0

Пару недель назад половина датчиков не работали, поправили? Тоже хотелось бы ссылку.

vvn_black ★★★★★ ()

Да уж. Даже с точки зрения дизайна следующей мобилой опять будет айфон.

dk- ()

Очень достовляют те кто купил шлак на медиатек и потом жалуются что производитель его не обновляет.

Но ведь Nexus 5 на квалкоме.

А что касательно MTK.. Ну вот на моём древнем MT6592 сейчас дроид 6.0.1 бегает, семёрка будет к концу года.
На Wileyfox Swift за 7к семёрка тоже появилась начиная с первых девелоперских билдов.

devl547 ★★★★★ ()
Последнее исправление: devl547 (всего исправлений: 4)
Ответ на: комментарий от ilipnitsky

На что забьёмся?
На MT6582 уже есть семёрка, кстати.

devl547 ★★★★★ ()

Kernel version для Snapdragon 800/801 как всегда доставляет.

asaw ★★★★★ ()
Ответ на: комментарий от asaw

В 2013 году оно последнее было, на новых процессорах понятное дело стоят 4.0+

ilipnitsky ★★★ ()
Ответ на: комментарий от menangen

Ты видимо брал его за столько когда он порядком устарел.

ilipnitsky ★★★ ()
Ответ на: комментарий от ilipnitsky

У меня вот почему-то ядра версий 4.* прекрасно работают на железе *цатилетней давности, а тут что мешает? Бережно хранят баги и уязвимости?

asaw ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.